#!/usr/bin/env python3
import __py_include
import syncleo


if __name__ == '__main__':
    sc = [cl for cl in syncleo.protocol.CmdIncomingMessage.__subclasses__()
          if cl is not syncleo.protocol.SimpleBooleanMessage]
    sc.extend(syncleo.protocol.SimpleBooleanMessage.__subclasses__())
    for cl in sc:
        # if cl == polaris.protocol.HandshakeMessage:
        #     print('skip')
        #     continue
        print(cl.__name__, cl.TYPE)